Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.milyn.device.profile
Class DefaultProfileStore

    java.lang.Object
      org.milyn.device.profile.DefaultProfileStore

All Implemented Interfaces:
  ProfileStore

public class DefaultProfileStore
extends java.lang.Object
implements ProfileStore

Default ProfileStore implementation.

Author:
  tfennelly

Constructor Summary
`DefaultProfileStore()`

Method Summary
`protected void` | `addProfileSet(java.lang.String deviceName, ProfileSet profileSet)` Add a ProfileSet for the named device to this ProfileStore
`protected void` | `expandProfiles()`
`ProfileSet` | `getProfileSet(java.lang.String deviceName)` Get the ProfileSet associated with the specified device.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultProfileStore

    public DefaultProfileStore()

Method Detail

### getProfileSet

    public ProfileSet getProfileSet(java.lang.String deviceName)
                             throws UnknownDeviceException

  Description copied from interface: `ProfileStore`
  Get the ProfileSet associated with the specified device.

  Implementations must be case insensitive.

  Specified by:
    `getProfileSet` in interface `ProfileStore`
  Parameters:
    `deviceName` - The device name.
  Returns:
    The ProfileSet for the specified device.
  Throws:
    `UnknownDeviceException` - The specified device is unknown.

### addProfileSet

    protected void addProfileSet(java.lang.String deviceName,
                                 ProfileSet profileSet)

  Add a ProfileSet for the named device to this ProfileStore

  Parameters:
    `deviceName` - The device name.
    `profileSet` - The devices ProfileSet.

### expandProfiles

    protected void expandProfiles()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD